# $Revision: 1.3 $, $Date: 2004/12/12 10:41:04 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Override
Summary:	Sub::Override - Perl extension for easily overriding subroutines
Summary(pl):	Sub::Override - rozszerzenie Perla do atwego przykrywania procedur
Name:		perl-Sub-Override
Version:	0.06
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b6827d2ca484318ac5d5bd1820deb5ed
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Exception >= 0.15
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sometimes subroutines need to be overridden. In fact, your author does
this constantly for tests. Particularly when testing, using a Mock
Object can be overkill when all you want to do is override one tiny,
little function.

Sub::Override allows the programmer to simply name the sub to replace
and to supply a sub to replace it with.

%description -l pl
Czasem procedura musi zosta przykryta. W praktyce autor robi to stale
dla testw. W szczeglnoci przy testowaniu uywanie obiektu Mock moe
by nadmiarowe, gdy wszystko co chcemy, to przykry jedn ma,
malek funkcj.

Sub::Override umoliwia programicie prosto nazwa funkcj do
zastpienia i dostarczy funkcj do zastpienia jej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Sub/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sub-Override.spec,v $
Revision 1.3  2004/12/12 10:41:04  adamg
- updated to 0.05

Revision 1.2  2004/12/01 23:16:15  qboosh
- pl

Revision 1.1  2004/12/01 20:53:44  radek
- new
